v_letterbox: V_letterbox_v2_1

| v_letterbox Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Data Structures | Enumerations | Functions
V_letterbox_v2_1

## Data Structures
struct | XV_Lbox_l2
| Letterbox Layer 2 data. More...

## Enumerations
enum | XLboxColorId
| This typedef contains the different background colors available. More...

## Functions
int | XV_LBoxInitialize (XV_Lbox_l2 *InstancePtr, u16 DeviceId)
| This function initializes the core instance. More...
void | XV_LBoxStart (XV_Lbox_l2 *InstancePtr)
| This function starts the letter box core. More...
void | XV_LBoxStop (XV_Lbox_l2 *InstancePtr)
| This function stops the letter box core. More...
void | XV_LBoxSetActiveWin (XV_Lbox_l2 *InstancePtr, XVidC_VideoWindow *ActiveWindow, u32 FrameWidth, u32 FrameHeight)
| This function configures the letterbox active window. More...
void | XV_LboxSetBackgroundColor (XV_Lbox_l2 *InstancePtr, XLboxColorId ColorId, XVidC_ColorFormat cfmt, XVidC_ColorDepth bpc)
| This function configures the background color to be painted outside active window. More...
void | XV_LBoxDbgReportStatus (XV_Lbox_l2 *InstancePtr)
| This function prints LBox IP status on the console. More...

## Enumeration Type Documentation

enum XLboxColorId

This typedef contains the different background colors available.

## Function Documentation

void XV_LBoxDbgReportStatus | ( | XV_Lbox_l2 * | InstancePtr | ) |

This function prints LBox IP status on the console.

Parameters

  InstancePtr | is the pointer to the core instance.

Returns
  None

References XV_letterbox_Config::BaseAddress, and XV_letterbox::Config.

int XV_LBoxInitialize | ( | XV_Lbox_l2 * | InstancePtr,
|  | u16 | DeviceId
| ) |  |

This function initializes the core instance.

Parameters

  InstancePtr | is a pointer to core instance to be worked upon
  DeviceId | is instance id of the core

Returns
  XST_SUCCESS if device is found and initialized XST_DEVICE_NOT_FOUND if device is not found

void XV_LBoxSetActiveWin | ( | XV_Lbox_l2 * | InstancePtr,
|  | XVidC_VideoWindow * | ActiveWindow,
|  | u32 | FrameWidth,
|  | u32 | FrameHeight
| ) |  |

This function configures the letterbox active window.

All pixels within the window are passed to the output as-is. Any pixel outside the defined window will be clamped to the programmed background color

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  ActiveWindow | is structure that contains window coordinates and size
  FrameWidth | is the input stream width
  FrameHeight | is the input stream height

Returns
  None

void XV_LboxSetBackgroundColor | ( | XV_Lbox_l2 * | InstancePtr,
|  | XLboxColorId | ColorId,
|  | XVidC_ColorFormat | cfmt,
|  | XVidC_ColorDepth | bpc
| ) |  |

This function configures the background color to be painted outside active window.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.
  ColorId | is the background color requested
  cfmt | is the color format of the input stream
  bpc | is the color depth (bits per channel)

Returns
  None

void XV_LBoxStart | ( | XV_Lbox_l2 * | InstancePtr | ) |

This function starts the letter box core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None

void XV_LBoxStop | ( | XV_Lbox_l2 * | InstancePtr | ) |

This function stops the letter box core.

Parameters

  InstancePtr | is a pointer to the core instance to be worked on.

Returns
  None